package model;

import payable.Payable;

public class Invoice implements Payable {
	private String name;
	private double price;
	private int quantity;
	
	public Invoice(String name, double price, int quantity) {
		super();
		this.name = name;
		this.price = price;
		this.quantity = quantity;
	}

	@Override
	public String toString() {
		return "Invoice [name=" + name + ", price=" + price + ", quantity=" + quantity + "]";
	}

	@Override
	public double getAmount() {
		return this.price * this.quantity;
	}
}